let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_MARKETPLACE_URL}`;

export const getAssetFieldApi = async (assetId: string) => {
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/v2/getAssetField/${assetId}`,
            {
                method: "GET",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to fetch asset field");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        echo.error("Failed to get asset field");
        if (error instanceof Error) {
            console.log(error.message);
        } else {
            console.log("An unknown error occurred");
        }
    }
};
